#include "mainwindow.h"
#include <QApplication>
#include <QTranslator>
#include <QLocale>

//! Funció main principal.
/*!
  La funció principal en els projectes en Qt, crea una aplicació Qt "a",
  una finestra "w", mostra la finestra i executa l'aplicació.
*/

int main(int argc, char *argv[])
{
    QApplication a(argc, argv); /*!<Crea l'aplicació "a". */

    QString locale = QLocale::system().name(); /*Cerca el locale de l'usuari*/
    QTranslator translator; /*Crea una instància translator*/
    translator.load(QString("minidlnatweak_")+locale); /*Carrega l'arxiu corresponent a la localització*/
    a.installTranslator(&translator); /*instala l'arxiu carregat*/

    MainWindow w;				/*!<Crea la finstra "w". */
    w.show();					/*!<Mostra la finestra "w". */
    
    return a.exec();			/*!<Executa l'aplicació "a". */
}
